package info.bukova.isspst.ui.main.invoicing;

import info.bukova.isspst.data.Invoicing;

import java.util.ArrayList;
import java.util.List;

import org.springframework.security.access.AccessDeniedException;
import org.zkoss.bind.annotation.Init;

public class InvoicingArchiveList extends InvoicingList
{
	@Init(superclass = true)
	public void initInvoicingArchiveList()
	{

	}

	@Override
	protected List<Invoicing> getListFromService()
	{
		try
		{
			return invoicingService.getArchiveList();
		}
		catch (AccessDeniedException e)
		{
			// BindUtils.postGlobalCommand(null, null, "disableCentre", null);
			// e.printStackTrace();
			return new ArrayList<Invoicing>();
		}
	}
}
